Retrieves the equipment_brand object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_brand| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the equipment brand |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "a24fb8dd-26a4-41d8-90de-79a495fa1075",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "d56684e2-bf0b-4d38-bf40-7690ce98cbda",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "071f218c-38e6-4021-9234-4385ff66604f",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d99d3359-e312-4fa1-b77b-5b0f7472d1b9",
"db_currency_id": "1c5cab12-2293-4e5e-942e-03e21e2794c8",
"db_language_id": "b276d5b1-ac45-4d9c-be4a-06faedc3ae70",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T19:53:12.0140166+00:00"
},
"modified_dateutc": "2026-11-02T19:53:12.0140166+00:00"
}